import request from '../utils/request.js';
import requestWhite from '../utils/requestWhite.js';

/**
 * 汽车充电个人余额信息
 * result 	true 	boolean 	结果集
 * message 	- 	Object 	
 * data 	- 	Object 	返回数据
 * data.giftAmount 	0 	Number 	赠送余额
 * data.totalAmount 	0 	Number 	总余额
 * data.availableAmount 	0 	Number 	可用总余额
 * data.rechargeAmount 	0 	Number 	充值余额
 * code 	200 	Number 	
 */
export function personAccount(){
	return request({
		method: 'post', 
		url: '/mobile/regUser/carPersonAccount'
	}) 
}

/**
 * 手机端个人账户申请退费详情
 * id 	16 	Text 	是 	-
 */
export function personAccountRefundDetail(data){
	return request({
		method: 'post',
		data: data,
		url: '/mobile/regUser/personAccountRefundDetail'
	}) 
}


/**
 * 手机端个人账户申请退费列表
 * pageIndex 	1 	Text 	是 	
 * pageSize 	10 	Text 	是 	-
 */
export function personAccountRefundList(data){
	return request({
		method: 'post',
		data: data,
		url: '/mobile/regUser/personAccountRefundList'
	}) 
}


/**
 * 手机端个人账户申请退费
 * amount 	333 	Text 	是 	退款金额
 * refundChannel 	wechat 	Text 	是 	退款通道（wechat：微信，alipay：支付宝）
 */
export function personAccountRefundApplication(data){
	return request({
		method: 'post',
		data: data,
		url: '/mobile/regUser/personAccountRefundApplication'
	}) 
}